const gulp = require('gulp')
const ts = require('gulp-typescript')
const mocha = require('gulp-mocha')
const merge = require('gulp-merge')

gulp.task('build',() => {
  return gulp.src('src/*.ts')
    .pipe(ts()).js
    .pipe(gulp.dest('dist'))
})

gulp.task('pre-test', () => {
  return gulp.src(['test/**.spec.ts'])
  .pipe(ts())
  .pipe(gulp.dest('tmp'))
})

gulp.task('test', () => {
  return gulp.src('test/*.spec.ts')
    .pipe(mocha({
      ui: 'tdd',
      require: 'ts-node/register',
      timeout: 2000,
      noDeprecation: true,
      noWarnings: true,
      reporter: 'spec'
  }))
})